Package org.eclipse.gef.mvc.fx.operations

# Class TransformContentOperation

java.lang.Object
org.eclipse.core.commands.operations.AbstractOperation
org.eclipse.gef.mvc.fx.operations.TransformContentOperation

All Implemented Interfaces:
  `IUndoableOperation`, `ITransactionalOperation`

public class TransformContentOperation extends AbstractOperation implements ITransactionalOperation
An `ITransactionalOperation` to change the transform of an `ITransformableContentPart`.

## Constructor Summary

Constructors
Constructor
Description
`TransformContentOperation(ITransformableContentPart<? extends Node> transformableContentPart, AffineTransform finalTransform)`
Creates a new `TransformContentOperation` for the given `ITransformableContentPart` to set the given `AffineTransform`.

## Method Summary

Modifier and Type
Method
Description
`IStatus`
`execute(IProgressMonitor monitor, IAdaptable info)`
`boolean`
`isContentRelevant()`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization).
`boolean`
`isNoOp()`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state).
`IStatus`
`redo(IProgressMonitor monitor, IAdaptable info)`
`void`
`setFinalDelta(AffineTransform transform)`
Sets the given `AffineTransform` as the new transform to set on the content.
`IStatus`
`undo(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

## Constructor Details

### TransformContentOperation

public TransformContentOperation(ITransformableContentPart<? extends Node> transformableContentPart, AffineTransform finalTransform)
Creates a new `TransformContentOperation` for the given `ITransformableContentPart` to set the given `AffineTransform`.

Parameters:
  `transformableContentPart` - The part to transform.
  `finalTransform` - The total final `AffineTransform` to set.

## Method Details

### execute

public IStatus execute(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

### isContentRelevant

public boolean isContentRelevant()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization). Otherwise returns `false`. The content relevance of an `ITransactionalOperation` can be checked to determine if the execution of the operation will affect the model, for example, to set an editor's dirty flag.

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` is actually changing model data, otherwise `false`.

### isNoOp

public boolean isNoOp()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state). Otherwise returns `false`.

Specified by:
  `isNoOp` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` has no effect, otherwise `false`.

### redo

public IStatus redo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

### setFinalDelta

public void setFinalDelta(AffineTransform transform)
Sets the given `AffineTransform` as the new transform to set on the content.

Parameters:
  `transform` - The new `AffineTransform` to set.

### undo

public IStatus undo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`